Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol.sync
Class SendingRenewal

    java.lang.Object
      org.teleal.cling.protocol.SendingAsync
          org.teleal.cling.protocol.SendingSync<OutgoingRenewalRequestMessage,IncomingSubscribeResponseMessage>
              org.teleal.cling.protocol.sync.SendingRenewal

All Implemented Interfaces:
  Runnable

    public class SendingRenewal

extends SendingSync<OutgoingRenewalRequestMessage,IncomingSubscribeResponseMessage>

Renewing a GENA event subscription with a remote host.

This protocol is executed periodically by the local registry, for any established GENA subscription to a remote service. If renewal failed, the subscription will be removed from the registry and the `RemoteGENASubscription.end(org.teleal.cling.model.gena.CancelReason, org.teleal.cling.model.message.UpnpResponse)` method will be called. The `RENEWAL_FAILED` reason will be used, however, the response might be `null` if no response was received from the remote host.

Author:
  Christian Bauer

Field Summary
`protected RemoteGENASubscription` | `subscription`

Fields inherited from class org.teleal.cling.protocol.SendingSync
`outputMessage`

Constructor Summary
`SendingRenewal(UpnpService upnpService, RemoteGENASubscription subscription)`

Method Summary
`protected IncomingSubscribeResponseMessage` | `executeSync()`

Methods inherited from class org.teleal.cling.protocol.SendingSync
`execute, getInputMessage, getOutputMessage, toString`

Methods inherited from class org.teleal.cling.protocol.SendingAsync
`getUpnpService, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### subscription

    protected final RemoteGENASubscription subscription

Constructor Detail

### SendingRenewal

    public SendingRenewal(UpnpService upnpService,
                          RemoteGENASubscription subscription)

Method Detail

### executeSync

    protected IncomingSubscribeResponseMessage executeSync()

  Specified by:
    `executeSync` in class `SendingSync<OutgoingRenewalRequestMessage,IncomingSubscribeResponseMessage>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.